--- title: "Delete a Non-Standard Port at Domain Level" slug: "delete-a-non-standard-port-at-domain-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/delete-a-non-standard-port-at-domain-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a Non-Standard Port at Domain Level This URL deletes a non-standard port configured on the specified domain. ## Resource URL DELETE /domain//nonstandardports?transport=&nonStandardPortNumber= ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | | transport_type | Transport Protocol, can be TCP / UDP | String | Yes | | port_number | The non-standard port number to be deleted | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Status returned | Number | ## Example **Request** DELETE [https://%3CNSM_IP%3E/sdkapi/domain/101/nonstandardports?transport=TCP&nonStandardPortNumber=32](https://%3CNSM_IP%3E/sdkapi/domain/101/nonstandardports?transport=TCP&nonStandardPortNumber=32) **Response** ``` { "status": 1 } ``` ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 2006 | Provided port number does not exists | | 3 | 400 | 2007 | Standard ports cannot be deleted |